Next: lldiv, Previous: ldiv, Up: Stdlib [Contents][Index]

### 2.22 `llabs`—compute the absolute value of an long long integer.

Synopsis

    #include <stdlib.h>
    long long llabs(long long j);

Description
The `llabs` function computes the absolute value of the long long integer argument j (also called the magnitude of j).

The similar function `labs` uses and returns `long` rather than `long long` values.

Returns
A nonnegative long long integer.

Portability
`llabs` is ISO 9899 (C99) compatable.

No supporting OS subroutines are required.